Toolboxes
List toolboxes
GET
/toolboxesReturns the toolboxes available in the current project.
Query Parameters
limitintegeroptionaldefault: 20
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the
default is 20.orderstringoptional
Sort order by the created_at timestamp of the objects. asc for ascending order anddesc
for descending order.ascdesc
afterstringoptional
A cursor for use in pagination. after is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include after=obj_foo in order to fetch the next page of the list.beforestringoptional
A cursor for use in pagination. before is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include before=obj_foo in order to fetch the previous page of the list.api-versionstringrequired
The API version to use for this operation.Responses
dataToolboxObject[]required
The requested list of items.idstringrequired
The unique identifier of the toolbox.namestringrequired
The name of the toolbox.updated_atintegerrequired
versionsToolboxVersionsrequired
The versions associated with a toolbox.default_versionstringrequired
The version identifier that the toolbox currently points to. Defaults to the latest version. Can be changed via updateToolbox.first_idstring
The first ID represented in this list.last_idstring
The last ID represented in this list.has_morebooleanrequired
A value indicating whether there are additional values available not captured in this list.